Bug 816945 - X11 crashes when starting swell-foop with an up to date fedora 17
X11 crashes when starting swell-foop with an up to date fedora 17
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 06:47 EDT by Stef Walter
Modified: 2013-08-01 14:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:12:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log.old (1.09 MB, text/plain)
2012-05-10 16:55 EDT, Stef Walter
no flags Details

  None (edit)
Description Stef Walter 2012-04-27 06:47:42 EDT
Description of problem:

Running 'swell-foop' crashes Xorg, and dumps me unceremoniously at the GDM greeter. This is on an up to date fedora 17. 

Version-Release number of selected component (if applicable):

Name        : xorg-x11-server-Xorg
Arch        : x86_64
Version     : 1.12.0
Release     : 2.fc17
Size        : 3.2 M

Name        : gnome-games
Arch        : x86_64
Epoch       : 1
Version     : 3.4.1
Release     : 2.fc17
Size        : 14 M


How reproducible:

Every time.


Steps to Reproduce:
1. Run 'swell-foop'
2. There is no step 2.
  
Actual results:

Entire login session gone.


Expected results:

Application shouldn't bring down entire session.


Additional info:

Using an nvidia card with the noveau drivers. Would be happy to help provide furhter information.
Comment 1 Adam Jackson 2012-04-27 16:35:14 EDT
After the crash, can you attach /var/log/Xorg.0.log.old ?  This should (hopefully) contain a backtrace at the end showing where we crashed.
Comment 2 Stef Walter 2012-05-07 03:39:23 EDT
Hmmm, I can't duplicate this again after a 'yum upgrade'. I guess we can close this, and I'll reopen it if it happens again.
Comment 3 Stef Walter 2012-05-10 16:54:57 EDT
Happened again, reopening. Was watching a flash video when I opened Swell Foop. Will attach the log.
Comment 4 Stef Walter 2012-05-10 16:55:57 EDT
Created attachment 583671 [details]
Xorg.0.log.old
Comment 5 Fedora End Of Life 2013-07-04 02:37:17 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 14:12:59 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.